Subject: Re: pwd option to return windows path
From: Edward Peschko <[email-masked]>
To: Brian Dessent <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Oct 2003 16:50:15 -0700

On Tue, Oct 21, 2003 at 04:36:13PM -0700, Brian Dessent wrote:
> Christopher Faylor wrote:
> 
> > >I've been using a hack through the environmental variable !C:
> > >(provided by tcsh) and pwd in order to return a windows32 path
> > >(ie: C:/cygwin/...)
> > >
> > >There's *got* to be a better way to do this. Is there a switch to pwd
> > >that returns a windows path instead of a unix one? Or, if not,
> > >what's the proper way to do this?
> > 
> > There is no option.
> 
> If your "terse cgf reply decoder ring" has not yet arrived, you may be
> interested in "man cygpath", e.g. "cygpath -w `pwd`".

yeah, I did a little more mucking around and came up with cygpath. Its not the most 
obvious place to find that information though, nothing in unix screams out 'cygpath is
what you want!!!' since there *are* no unix analogs. I think that the same options that 
are on cygpath should also be on pwd; this might make things a little more user friendly. 

Ed

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/